%define libversion	0.0.2
%define major		0
%define libname		%mklibname %{name} %{libversion} %{major}
%define develname	%mklibname %{name} %{libversion} -d

Name:		clutter-gesture
Version:	0.0.2.1
Release:	%mkrel 2
Summary:	Gesture Library for Clutter
Group:		System/Libraries
License:	LGPLv2+ and MIT
URL:		http://moblin.org/projects/clutter-gesture
Source0:	http://git.moblin.org/cgit.cgi/%{name}/snapshot/%{name}-%{version}.tar.xz
Patch1:		clutter-gesture-0.0.2-build.patch

BuildRequires:	clutter-devel
BuildRequires:	glib2-devel

%description
This library allows clutter applications to be aware of gestures 
and to easily attach some handlers to the gesture events. The library 
supports both single and multi touch.

%package devel
Summary:	Development files and headers for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description devel
Files for development with %{name}.

%prep
%setup -q
%apply_patches

# don't treat warnings as errors
sed -i -e 's,-Werror,,g' configure.ac

%build
autoreconf -vfi
%configure2_5x --disable-static
%make_build CFLAGS+="-DGLIB_DISABLE_DEPRECATION_WARNINGS -DCLUTTER_DISABLE_DEPRECATION_WARNINGS" LIBS=-lm V=1

%install
%make_install

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%files
%{_libdir}/libcluttergesture-%{libversion}.so.%{major}*
%{_libdir}/libengine.so.%{major}*

%files devel
%{_libdir}/libcluttergesture-%{libversion}.so
%{_libdir}/libengine.so
%{_includedir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%changelog
* Sun Jul 03 2022 tex - 0.0.2.1-2pclos2022
- rebuild for 2022
